> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch create

> Used to create a batch of new tags or attributes. Once created these can be updated using tag/tags methods or the profile import method.

For more information on attributes and tags review our [dedicated guide](https://docs.xtremepush.com/docs/attributes-tags).

## OpenAPI

````json POST /batch-create/tag
{
  "openapi": "3.1.0",
  "info": {
    "title": "external-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.eu.xtremepush.com/api/external"
    }
  ],
  "paths": {
    "/batch-create/tag": {
      "post": {
        "summary": "Batch create",
        "description": "Used to create a batch of new tags or attributes. Once created these can be updated using tag/tags methods or the profile import method.\n\nFor more information on attributes and tags review our [dedicated guide](https://docs.xtremepush.com/docs/attributes-tags).",
        "operationId": "tag-batch-create",
        "deprecated": "false",
        "requestBody": {
          "required": "true",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "apptoken",
                  "data"
                ],
                "properties": {
                  "apptoken": {
                    "type": "string",
                    "description": "Your App token"
                  },
                  "data": {
                    "type": "array",
                    "description": "Array of tag objects",
                    "items": {
                      "type": "object",
                      "required": [
                        "title"
                      ],
                      "properties": {
                        "title": {
                          "type": "string",
                          "description": "Name of the attribute or tag used when setting it programmatically via an SDK/API call"
                        },
                        "name": {
                          "type": "string",
                          "description": "Name displayed in the UI, used for a more human-friendly explainer"
                        },
                        "type": {
                          "type": "integer",
                          "format": "int32",
                          "description": "Required for an attribute. See Type identifiers."
                        },
                        "alias_id": {
                          "type": "string",
                          "description": "Name of the tag for which this is an alias"
                        },
                        "attribute_profile": {
                          "type": "integer",
                          "format": "int32",
                          "description": "Set as `1` to link attribute to User Profiles. Default `0`."
                        },
                        "attribute_client": {
                          "type": "integer",
                          "format": "int32",
                          "description": "Set as `1` to link attribute to Device Profiles. Default `0`."
                        }
                      }
                    }
                  }
                }
              },
              "examples": {
                "Create multiple User Profile attributes": {
                  "value": {
                    "apptoken": "YOUR_APPTOKEN",
                    "data": [
                      {
                        "title": "Test Attribute 1",
                        "type": "0",
                        "attribute_profile": "1"
                      },
                      {
                        "title": "Test Attribute 2",
                        "type": "1",
                        "attribute_profile": "1"
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {}
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": "false",
                      "default": "true"
                    },
                    "code": {
                      "type": "integer",
                      "example": "400",
                      "default": "0"
                    },
                    "message": {
                      "type": "string",
                      "example": "General error information"
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "text": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Result": {
                    "value": {
                      "success": "false",
                      "code": "400",
                      "message": "General error information"
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Tag Methods"
        ]
      }
    }
  }
}
````

